//: C06:GreaterThanN.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <iostream>
using namespace std;

class gt_n {
  int hodnota;
public:
  gt_n(int val) : hodnota(val) {}
  bool operator()(int n) { return n > hodnota; }
};

int main() {
  gt_n f(4);
  cout << f(3) << endl;  // Vytiskne 0 (jako false)
  cout << f(5) << endl;  // Vytiskne 1 (jako true)
} ///:~
